×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Super Contributor
    Join Date
    Mar 2003
    Location
    Espoo, Finland
    Posts
    976

    How to tell app version to Ensymble?

    Hi,

    When I create SIS package with Ensymble I use -r "0.5.0" to tell version number. In command prompt output it says "Version 0.5.0", which looks ok to me.

    When installing SIS, I can see "Version 0.05(0)". I was expecting something like "Version 0.5". Is this a defect or I just don't know how to define version numbers?

    What do I have to give on command line to get major 0 minor 5 version number? In short I want that "Version 0.5(0)", but how?

    Between versions,

    --jouni

  2. #2
    Regular Contributor
    Join Date
    Mar 2007
    Posts
    153

    Re: How to tell app version to Ensymble?

    Hello JOM,
    it looks like the minor version consists of at least two numbers.
    "mathematically" "05" is the same as "5" right?

    So 0.5.0 is the same as 0.05(0)

    regards
    novis

  3. #3
    Super Contributor
    Join Date
    Mar 2003
    Location
    Espoo, Finland
    Posts
    976

    Re: How to tell app version to Ensymble?

    Well,

    Now that you said it, I think you're right! It's just that "0.05" looks bad... Guess I'll have to jump from 0.5 (zero point five) to 0.60 (zero point sixty)

    Thanx for opening my eyes,

    --jouni

  4. #4
    Registered User
    Join Date
    Feb 2005
    Location
    Belgium (Europe)
    Posts
    1,352

    Re: How to tell app version to Ensymble?

    Quote Originally Posted by JOM View Post
    Well,

    Now that you said it, I think you're right! It's just that "0.05" looks bad... Guess I'll have to jump from 0.5 (zero point five) to 0.60 (zero point sixty)

    Thanx for opening my eyes,

    --jouni
    I have fun with unity 0.5 so I'll have fun with Unity 0.60

    BR
    Cyke64
    pys60 1.4.5 and 2.0.0, pygame, PyS60 CE on E90 and 5800 !

    Find my pys60 extension modules on cyke64.googlepages.com

  5. #5
    Wiki Moderators
    Join Date
    May 2007
    Location
    21.46 N 72.11 E
    Posts
    3,779

    Re: How to tell app version to Ensymble?

    Quote Originally Posted by JOM View Post
    Hi,

    When I create SIS package with Ensymble I use -r "0.5.0" to tell version number. In command prompt output it says "Version 0.5.0", which looks ok to me.

    When installing SIS, I can see "Version 0.05(0)". I was expecting something like "Version 0.5". Is this a defect or I just don't know how to define version numbers?

    What do I have to give on command line to get major 0 minor 5 version number? In short I want that "Version 0.5(0)", but how?

    Between versions,

    --jouni
    Hi Jouni,

    Could you use this --version while making your sis.

    For example,

    --version=1.00
    Best Regards,
    Croozeus
    Pankaj Nathani
    www.croozeus.com

  6. #6
    Super Contributor
    Join Date
    Mar 2003
    Location
    Espoo, Finland
    Posts
    976

    Re: How to tell app version to Ensymble?

    Well,

    It should be same, according to http://www.nbl.fi/~nbl928/README-0.27.txt:

    --version=1.0.0
    -r 1.0.0
    Cheers,

    --jouni

  7. #7
    Wiki Moderators
    Join Date
    May 2007
    Location
    21.46 N 72.11 E
    Posts
    3,779

    Re: How to tell app version to Ensymble?

    Oh, Yeap. Anyways, why don't you prefer versions like 1.0, 2.0, 3.0, etc - rather than decimal updates

    Best Regards,
    Croozeus
    Pankaj Nathani
    www.croozeus.com

Similar Threads

  1. Ensymble app and Python on different drives
    By suckho in forum Symbian
    Replies: 17
    Last Post: 2008-06-09, 16:39
  2. HPSMS Server (Free SMS Softrware for Nokia CDMA Phones)
    By hpnasik in forum General Messaging
    Replies: 2
    Last Post: 2007-05-30, 22:01
  3. Change the build version
    By thilsen_06 in forum Symbian
    Replies: 2
    Last Post: 2007-02-10, 08:20
  4. symbian signed testing problem.
    By anglina in forum Symbian
    Replies: 0
    Last Post: 2007-02-01, 10:15
  5. App Installation problem on Device using SDK 1.2 version.
    By khurshed79 in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2006-01-12, 08:58

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •